Fornecido por Lusha
Pesquisar pessoas por filtros de cargo, senioridade, departamento e localização (Lusha)
Encontre pessoas por critérios com os filtros de inclusão e exclusão da Lusha: cargos, níveis de senioridade, departamentos, países e localizações no lado do contato, além de domínios, nomes, faixas de tamanho e setores do empregador no lado da empresa. Cada linha de pessoa é uma prévia com id de contato da Lusha, nome, cargo, empregador, localização, links sociais e flags canReveal — apenas identidades, sem dados de contato. De 10 a 25 pessoas por página. Passe os ids a um Endpoint de revelação da Lusha quando quiser os detalhes; uma página vazia não é cobrada.
Como executar
Etapa 1Configurar
Uma vez: cole isto no chat do seu agente. O Skill instala a CLI e faz login sozinho. Para um agente que não pode usar um shell, conecte-o pelo MCP.
set up https://glasser.ai/SKILL.md
Show me how to use the Lusha endpoint /v3/contacts/prospecting on Glasser.glasser run -p lusha -e '/v3/contacts/prospecting' -i '{"filters":{"companies":{"include":{"domains":["example.com"]}}},"pagination":{"page":0,"size":10}}' --endpoint-version 5Usa a versão 5 do endpoint. Consulte o preço atual antes de executar. Instale e faça login primeiro em Get Started.
Uma vez por Run:
IDEMPOTENCY_KEY=$(uuidgen)Execute e copie este mesmo bloco para enviá-lo novamente:
curl -X POST https://api.glasser.ai/v1/runs \
-H "Authorization: Bearer gl_..." \
-H "Idempotency-Key: $IDEMPOTENCY_KEY" \
-H "Content-Type: application/json" \
-d '{"provider":"lusha","endpoint":"/v3/contacts/prospecting","input":{"filters":{"companies":{"include":{"domains":["example.com"]}}},"pagination":{"page":0,"size":10}},"endpoint_version":5}'Reutilize a mesma Idempotency-Key para enviar novamente: o segundo envio é uma leitura do primeiro Run. Uma nova chave cria um novo Run e um novo Charge. Usa a versão 5 do endpoint; consulte o preço atual antes de executar.
Etapa 2Experimente uma tarefa de exemplo específica
Quando precisar criar uma lista de potenciais contatos, você pode analisar os registros de pessoas disponíveis em busca de potenciais clientes que correspondam aos seus critérios de segmentação.
Copie este prompt no seu agente para encontrar potenciais clientes que correspondam aos seus critérios de abordagem.
Use lusha:/v3/contacts/prospecting on Glasser.
Find people matching my outreach criteria within the records returned by this endpoint.Estrutura do endpoint
{
"type": "object",
"$schema": "http://json-schema.org/draft-07/schema#",
"required": [
"pagination",
"filters"
],
"properties": {
"filters": {
"type": "object",
"properties": {
"contacts": {
"type": "object",
"properties": {
"exclude": {
"type": "object",
"properties": {
"ids": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1,
"description": "Lusha contact ids from a prior search's results[].id."
},
"names": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1,
"description": "Person names."
},
"score": {
"type": "object",
"properties": {
"maxScore": {
"type": "integer",
"maximum": 100,
"minimum": 0
},
"minScore": {
"type": "integer",
"maximum": 100,
"minimum": 0
}
},
"additionalProperties": false
},
"awards": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1
},
"emails": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1
},
"skills": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1
},
"signals": {
"type": "object",
"properties": {
"types": {
"type": "array",
"items": {
"enum": [
"allSignals",
"promotion",
"companyChange"
],
"type": "string"
},
"maxItems": 500,
"minItems": 1
},
"startDate": {
"type": "string",
"pattern": "^\\d{4}-\\d{2}-\\d{2}$",
"description": "A date as YYYY-MM-DD."
}
},
"additionalProperties": false
},
"countries": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1,
"description": "Country codes as the contact filter-values Endpoint returns them for filterType countries, e.g. \"US\"."
},
"education": {
"type": "object",
"properties": {
"degrees": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1
},
"schools": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1
},
"startYearGte": {
"type": "integer"
},
"fieldsOfStudy": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1
},
"graduationYearLte": {
"type": "integer"
}
},
"additionalProperties": false
},
"jobTitles": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1,
"description": "Job titles, e.g. \"VP Sales\"."
},
"locations": {
"type": "array",
"items": {
"type": "object",
"properties": {
"city": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"state": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"region": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"country": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"continent": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"countryIso2": {
"type": "string",
"pattern": "^[A-Z]{2}$"
},
"countryGrouping": {
"type": "string",
"maxLength": 200,
"minLength": 1
}
},
"additionalProperties": false
},
"maxItems": 500,
"minItems": 1,
"description": "Location objects such as { \"country\": \"United States\" } or { \"countryIso2\": \"US\", \"state\": \"California\" }; exact values come from the Lusha filter-values Endpoint with filterType locations."
},
"searchText": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"departments": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1,
"description": "Departments as the contact filter-values Endpoint returns them for filterType departments, e.g. \"Sales\"."
},
"linkedinUrls": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1,
"description": "Person LinkedIn URLs."
},
"seniorityIds": {
"type": "array",
"items": {
"type": "integer"
},
"maxItems": 500,
"minItems": 1,
"description": "Seniority ids (integers), not names. Take them from the contact filter-values Endpoint with filterType seniority."
},
"certifications": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1
},
"previousEmails": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1
},
"previousJobTitle": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1
},
"geographicDetails": {
"type": "array",
"items": {
"type": "object",
"properties": {
"country": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"zipcode": {
"type": "string",
"maxLength": 20,
"minLength": 1
},
"distance": {
"type": "integer",
"minimum": 0,
"description": "Radius in miles."
}
},
"additionalProperties": false
},
"maxItems": 500,
"minItems": 1
},
"existingDataPoints": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1,
"description": "Data points the contact must have, e.g. \"work_email\", as the contact filter-values Endpoint returns them for filterType existingDataPoints."
},
"jobChangedAfterDate": {
"type": "string",
"pattern": "^\\d{4}-\\d{2}-\\d{2}$",
"description": "A date as YYYY-MM-DD."
},
"jobTitlesExactMatch": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1
},
"normalizedJobTitles": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1
},
"jobChangedLastViewDate": {
"type": "string",
"pattern": "^\\d{4}-\\d{2}-\\d{2}$",
"description": "A date as YYYY-MM-DD."
},
"existingDataPointsCondition": {
"enum": [
"or",
"and"
],
"type": "string"
}
},
"additionalProperties": false
},
"include": {
"type": "object",
"properties": {
"ids": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1,
"description": "Lusha contact ids from a prior search's results[].id."
},
"names": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1,
"description": "Person names."
},
"score": {
"type": "object",
"properties": {
"maxScore": {
"type": "integer",
"maximum": 100,
"minimum": 0
},
"minScore": {
"type": "integer",
"maximum": 100,
"minimum": 0
}
},
"additionalProperties": false
},
"awards": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1
},
"emails": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1
},
"skills": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1
},
"signals": {
"type": "object",
"properties": {
"types": {
"type": "array",
"items": {
"enum": [
"allSignals",
"promotion",
"companyChange"
],
"type": "string"
},
"maxItems": 500,
"minItems": 1
},
"startDate": {
"type": "string",
"pattern": "^\\d{4}-\\d{2}-\\d{2}$",
"description": "A date as YYYY-MM-DD."
}
},
"additionalProperties": false
},
"countries": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1,
"description": "Country codes as the contact filter-values Endpoint returns them for filterType countries, e.g. \"US\"."
},
"education": {
"type": "object",
"properties": {
"degrees": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1
},
"schools": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1
},
"startYearGte": {
"type": "integer"
},
"fieldsOfStudy": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1
},
"graduationYearLte": {
"type": "integer"
}
},
"additionalProperties": false
},
"jobTitles": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1,
"description": "Job titles, e.g. \"VP Sales\"."
},
"locations": {
"type": "array",
"items": {
"type": "object",
"properties": {
"city": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"state": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"region": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"country": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"continent": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"countryIso2": {
"type": "string",
"pattern": "^[A-Z]{2}$"
},
"countryGrouping": {
"type": "string",
"maxLength": 200,
"minLength": 1
}
},
"additionalProperties": false
},
"maxItems": 500,
"minItems": 1,
"description": "Location objects such as { \"country\": \"United States\" } or { \"countryIso2\": \"US\", \"state\": \"California\" }; exact values come from the Lusha filter-values Endpoint with filterType locations."
},
"searchText": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"departments": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1,
"description": "Departments as the contact filter-values Endpoint returns them for filterType departments, e.g. \"Sales\"."
},
"linkedinUrls": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1,
"description": "Person LinkedIn URLs."
},
"seniorityIds": {
"type": "array",
"items": {
"type": "integer"
},
"maxItems": 500,
"minItems": 1,
"description": "Seniority ids (integers), not names. Take them from the contact filter-values Endpoint with filterType seniority."
},
"certifications": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1
},
"previousEmails": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1
},
"previousJobTitle": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1
},
"geographicDetails": {
"type": "array",
"items": {
"type": "object",
"properties": {
"country": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"zipcode": {
"type": "string",
"maxLength": 20,
"minLength": 1
},
"distance": {
"type": "integer",
"minimum": 0,
"description": "Radius in miles."
}
},
"additionalProperties": false
},
"maxItems": 500,
"minItems": 1
},
"existingDataPoints": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1,
"description": "Data points the contact must have, e.g. \"work_email\", as the contact filter-values Endpoint returns them for filterType existingDataPoints."
},
"jobChangedAfterDate": {
"type": "string",
"pattern": "^\\d{4}-\\d{2}-\\d{2}$",
"description": "A date as YYYY-MM-DD."
},
"jobTitlesExactMatch": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1
},
"normalizedJobTitles": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1
},
"jobChangedLastViewDate": {
"type": "string",
"pattern": "^\\d{4}-\\d{2}-\\d{2}$",
"description": "A date as YYYY-MM-DD."
},
"existingDataPointsCondition": {
"enum": [
"or",
"and"
],
"type": "string"
}
},
"additionalProperties": false
}
},
"additionalProperties": false
},
"companies": {
"type": "object",
"properties": {
"exclude": {
"type": "object",
"properties": {
"ids": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1,
"description": "Lusha company ids."
},
"names": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1,
"description": "Company names."
},
"sizes": {
"type": "array",
"items": {
"type": "object",
"properties": {
"max": {
"type": "integer",
"minimum": 0
},
"min": {
"type": "integer",
"minimum": 0
}
},
"additionalProperties": false
},
"maxItems": 500,
"minItems": 1,
"description": "Headcount ranges as { min, max } employee counts; the bands Lusha uses come from the company filter-values Endpoint with filterType sizes."
},
"domains": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1,
"description": "Company domains, e.g. \"lusha.com\"."
},
"funding": {
"type": "object",
"properties": {
"date": {
"type": "object",
"properties": {
"date": {
"type": "string",
"pattern": "^\\d{4}-\\d{2}-\\d{2}$",
"description": "A date as YYYY-MM-DD."
},
"coverage": {
"enum": [
"last_funding",
"any_round",
"total_funds",
"last_round"
],
"type": "string"
}
},
"additionalProperties": false
},
"isIpo": {
"type": "boolean"
},
"names": {
"type": "array",
"items": {
"type": "object",
"properties": {
"name": {
"enum": [
"angel",
"venture",
"private_equity",
"crowdfunding",
"grant",
"debt_financing",
"other"
],
"type": "string"
},
"coverage": {
"enum": [
"last_funding",
"any_round",
"total_funds",
"last_round"
],
"type": "string"
}
},
"additionalProperties": false
},
"maxItems": 500,
"minItems": 1
},
"types": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1
},
"ranges": {
"type": "array",
"items": {
"type": "object",
"properties": {
"max": {
"type": "integer"
},
"min": {
"type": "integer"
},
"coverage": {
"enum": [
"last_funding",
"any_round",
"total_funds",
"last_round"
],
"type": "string"
}
},
"additionalProperties": false
},
"maxItems": 500,
"minItems": 1
},
"rounds": {
"type": "array",
"items": {
"type": "object",
"properties": {
"round": {
"enum": [
"pre_seed",
"seed",
"series_a",
"series_b",
"series_c",
"series_d",
"series_e",
"series_f",
"series_g",
"series_h",
"other"
],
"type": "string"
},
"coverage": {
"enum": [
"last_funding",
"any_round",
"total_funds",
"last_round"
],
"type": "string"
}
},
"additionalProperties": false
},
"maxItems": 500,
"minItems": 1
},
"investors": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1
}
},
"additionalProperties": false
},
"keywords": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1,
"description": "Keywords associated with the company."
},
"revenues": {
"type": "array",
"items": {
"type": "object",
"properties": {
"max": {
"type": "integer",
"minimum": 0
},
"min": {
"type": "integer",
"minimum": 0
}
},
"additionalProperties": false
},
"maxItems": 500,
"minItems": 1,
"description": "Annual revenue ranges in US dollars as { min, max }; the bands Lusha uses come from the company filter-values Endpoint with filterType revenues."
},
"sicCodes": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1,
"description": "SIC codes as the company filter-values Endpoint returns them for filterType sics."
},
"locations": {
"type": "array",
"items": {
"type": "object",
"properties": {
"city": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"state": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"region": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"country": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"continent": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"countryIso2": {
"type": "string",
"pattern": "^[A-Z]{2}$"
},
"countryGrouping": {
"type": "string",
"maxLength": 200,
"minLength": 1
}
},
"additionalProperties": false
},
"maxItems": 500,
"minItems": 1,
"description": "Location objects such as { \"country\": \"United States\" } or { \"countryIso2\": \"US\", \"state\": \"California\" }; exact values come from the Lusha filter-values Endpoint with filterType locations."
},
"naicsCodes": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1,
"description": "NAICS codes as the company filter-values Endpoint returns them for filterType naics."
},
"companyType": {
"type": "array",
"items": {
"enum": [
"Government",
"Private Company",
"Public Company",
"Educational",
"Non Profit",
"Self Employed"
],
"type": "string"
},
"maxItems": 500,
"minItems": 1
},
"foundedYear": {
"type": "array",
"items": {
"type": "object",
"properties": {
"max": {
"type": "integer"
},
"min": {
"type": "integer"
}
},
"additionalProperties": false
},
"maxItems": 500,
"minItems": 1,
"description": "Founded-year ranges as { min, max }, both inclusive."
},
"intentTopics": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1,
"description": "Intent topics as the company filter-values Endpoint returns them for filterType intentTopics."
},
"linkedinUrls": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1,
"description": "Company LinkedIn URLs."
},
"specialities": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1
},
"technologies": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1,
"description": "Technology names as the company filter-values Endpoint returns them for filterType technologies."
},
"businessModel": {
"type": "array",
"items": {
"enum": [
"B2B",
"B2C",
"B2G"
],
"type": "string"
},
"maxItems": 500,
"minItems": 1
},
"exactKeywords": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1
},
"intentMaxScore": {
"type": "integer",
"maximum": 100,
"minimum": 1
},
"intentMinScore": {
"type": "integer",
"maximum": 100,
"minimum": 1
},
"industriesLabels": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1,
"description": "Industry labels (the main_industry text) from the company filter-values Endpoint with filterType industriesLabels, e.g. \"Software\"."
},
"subIndustriesIds": {
"type": "array",
"items": {
"type": "integer"
},
"maxItems": 500,
"minItems": 1,
"description": "Lusha sub-industry ids (integers), not labels. Take sub_industries[].id from the rows the company filter-values Endpoint returns for filterType industriesLabels."
},
"exactSpecialities": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1
},
"geographicDetails": {
"type": "array",
"items": {
"type": "object",
"properties": {
"country": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"zipcode": {
"type": "string",
"maxLength": 20,
"minLength": 1
},
"distance": {
"type": "integer",
"minimum": 0,
"description": "Radius in miles."
}
},
"additionalProperties": false
},
"maxItems": 500,
"minItems": 1
},
"locationsZipcodes": {
"type": "array",
"items": {
"type": "object",
"properties": {
"zipcode": {
"type": "string",
"maxLength": 20,
"minLength": 1
},
"countryIso2": {
"type": "string",
"maxLength": 2,
"minLength": 1
}
},
"additionalProperties": false
},
"maxItems": 500,
"minItems": 1
},
"mainIndustriesIds": {
"type": "array",
"items": {
"type": "integer"
},
"maxItems": 500,
"minItems": 1,
"description": "Lusha main industry ids (integers), not labels. Take main_industry_id from the rows the company filter-values Endpoint returns for filterType industriesLabels."
},
"headquarterZipcodes": {
"type": "array",
"items": {
"type": "object",
"properties": {
"zipcode": {
"type": "string",
"maxLength": 20,
"minLength": 1
},
"countryIso2": {
"type": "string",
"maxLength": 2,
"minLength": 1
}
},
"additionalProperties": false
},
"maxItems": 500,
"minItems": 1
},
"topicCountThreshold": {
"type": "array",
"items": {
"type": "object",
"properties": {
"max": {
"type": "integer",
"minimum": 0
},
"min": {
"type": "integer",
"minimum": 0
}
},
"additionalProperties": false
},
"maxItems": 500,
"minItems": 1
},
"intentTopicsOperator": {
"enum": [
"or",
"and",
"any",
"all"
],
"type": "string"
},
"keywordsSearchFields": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1
},
"previousCompanyNames": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1
},
"intentTopicsCondition": {
"enum": [
"or",
"and"
],
"type": "string"
},
"technologiesCondition": {
"enum": [
"or",
"and"
],
"type": "string"
},
"previousCompanyDomains": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1
}
},
"additionalProperties": false
},
"include": {
"type": "object",
"properties": {
"ids": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1,
"description": "Lusha company ids."
},
"names": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1,
"description": "Company names."
},
"sizes": {
"type": "array",
"items": {
"type": "object",
"properties": {
"max": {
"type": "integer",
"minimum": 0
},
"min": {
"type": "integer",
"minimum": 0
}
},
"additionalProperties": false
},
"maxItems": 500,
"minItems": 1,
"description": "Headcount ranges as { min, max } employee counts; the bands Lusha uses come from the company filter-values Endpoint with filterType sizes."
},
"domains": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1,
"description": "Company domains, e.g. \"lusha.com\"."
},
"funding": {
"type": "object",
"properties": {
"date": {
"type": "object",
"properties": {
"date": {
"type": "string",
"pattern": "^\\d{4}-\\d{2}-\\d{2}$",
"description": "A date as YYYY-MM-DD."
},
"coverage": {
"enum": [
"last_funding",
"any_round",
"total_funds",
"last_round"
],
"type": "string"
}
},
"additionalProperties": false
},
"isIpo": {
"type": "boolean"
},
"names": {
"type": "array",
"items": {
"type": "object",
"properties": {
"name": {
"enum": [
"angel",
"venture",
"private_equity",
"crowdfunding",
"grant",
"debt_financing",
"other"
],
"type": "string"
},
"coverage": {
"enum": [
"last_funding",
"any_round",
"total_funds",
"last_round"
],
"type": "string"
}
},
"additionalProperties": false
},
"maxItems": 500,
"minItems": 1
},
"types": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1
},
"ranges": {
"type": "array",
"items": {
"type": "object",
"properties": {
"max": {
"type": "integer"
},
"min": {
"type": "integer"
},
"coverage": {
"enum": [
"last_funding",
"any_round",
"total_funds",
"last_round"
],
"type": "string"
}
},
"additionalProperties": false
},
"maxItems": 500,
"minItems": 1
},
"rounds": {
"type": "array",
"items": {
"type": "object",
"properties": {
"round": {
"enum": [
"pre_seed",
"seed",
"series_a",
"series_b",
"series_c",
"series_d",
"series_e",
"series_f",
"series_g",
"series_h",
"other"
],
"type": "string"
},
"coverage": {
"enum": [
"last_funding",
"any_round",
"total_funds",
"last_round"
],
"type": "string"
}
},
"additionalProperties": false
},
"maxItems": 500,
"minItems": 1
},
"investors": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1
}
},
"additionalProperties": false
},
"keywords": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1,
"description": "Keywords associated with the company."
},
"revenues": {
"type": "array",
"items": {
"type": "object",
"properties": {
"max": {
"type": "integer",
"minimum": 0
},
"min": {
"type": "integer",
"minimum": 0
}
},
"additionalProperties": false
},
"maxItems": 500,
"minItems": 1,
"description": "Annual revenue ranges in US dollars as { min, max }; the bands Lusha uses come from the company filter-values Endpoint with filterType revenues."
},
"sicCodes": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1,
"description": "SIC codes as the company filter-values Endpoint returns them for filterType sics."
},
"locations": {
"type": "array",
"items": {
"type": "object",
"properties": {
"city": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"state": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"region": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"country": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"continent": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"countryIso2": {
"type": "string",
"pattern": "^[A-Z]{2}$"
},
"countryGrouping": {
"type": "string",
"maxLength": 200,
"minLength": 1
}
},
"additionalProperties": false
},
"maxItems": 500,
"minItems": 1,
"description": "Location objects such as { \"country\": \"United States\" } or { \"countryIso2\": \"US\", \"state\": \"California\" }; exact values come from the Lusha filter-values Endpoint with filterType locations."
},
"naicsCodes": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1,
"description": "NAICS codes as the company filter-values Endpoint returns them for filterType naics."
},
"companyType": {
"type": "array",
"items": {
"enum": [
"Government",
"Private Company",
"Public Company",
"Educational",
"Non Profit",
"Self Employed"
],
"type": "string"
},
"maxItems": 500,
"minItems": 1
},
"foundedYear": {
"type": "array",
"items": {
"type": "object",
"properties": {
"max": {
"type": "integer"
},
"min": {
"type": "integer"
}
},
"additionalProperties": false
},
"maxItems": 500,
"minItems": 1,
"description": "Founded-year ranges as { min, max }, both inclusive."
},
"intentTopics": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1,
"description": "Intent topics as the company filter-values Endpoint returns them for filterType intentTopics."
},
"linkedinUrls": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1,
"description": "Company LinkedIn URLs."
},
"specialities": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1
},
"technologies": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1,
"description": "Technology names as the company filter-values Endpoint returns them for filterType technologies."
},
"businessModel": {
"type": "array",
"items": {
"enum": [
"B2B",
"B2C",
"B2G"
],
"type": "string"
},
"maxItems": 500,
"minItems": 1
},
"exactKeywords": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1
},
"intentMaxScore": {
"type": "integer",
"maximum": 100,
"minimum": 1
},
"intentMinScore": {
"type": "integer",
"maximum": 100,
"minimum": 1
},
"industriesLabels": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1,
"description": "Industry labels (the main_industry text) from the company filter-values Endpoint with filterType industriesLabels, e.g. \"Software\"."
},
"subIndustriesIds": {
"type": "array",
"items": {
"type": "integer"
},
"maxItems": 500,
"minItems": 1,
"description": "Lusha sub-industry ids (integers), not labels. Take sub_industries[].id from the rows the company filter-values Endpoint returns for filterType industriesLabels."
},
"exactSpecialities": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1
},
"geographicDetails": {
"type": "array",
"items": {
"type": "object",
"properties": {
"country": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"zipcode": {
"type": "string",
"maxLength": 20,
"minLength": 1
},
"distance": {
"type": "integer",
"minimum": 0,
"description": "Radius in miles."
}
},
"additionalProperties": false
},
"maxItems": 500,
"minItems": 1
},
"locationsZipcodes": {
"type": "array",
"items": {
"type": "object",
"properties": {
"zipcode": {
"type": "string",
"maxLength": 20,
"minLength": 1
},
"countryIso2": {
"type": "string",
"maxLength": 2,
"minLength": 1
}
},
"additionalProperties": false
},
"maxItems": 500,
"minItems": 1
},
"mainIndustriesIds": {
"type": "array",
"items": {
"type": "integer"
},
"maxItems": 500,
"minItems": 1,
"description": "Lusha main industry ids (integers), not labels. Take main_industry_id from the rows the company filter-values Endpoint returns for filterType industriesLabels."
},
"headquarterZipcodes": {
"type": "array",
"items": {
"type": "object",
"properties": {
"zipcode": {
"type": "string",
"maxLength": 20,
"minLength": 1
},
"countryIso2": {
"type": "string",
"maxLength": 2,
"minLength": 1
}
},
"additionalProperties": false
},
"maxItems": 500,
"minItems": 1
},
"topicCountThreshold": {
"type": "array",
"items": {
"type": "object",
"properties": {
"max": {
"type": "integer",
"minimum": 0
},
"min": {
"type": "integer",
"minimum": 0
}
},
"additionalProperties": false
},
"maxItems": 500,
"minItems": 1
},
"intentTopicsOperator": {
"enum": [
"or",
"and",
"any",
"all"
],
"type": "string"
},
"keywordsSearchFields": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1
},
"previousCompanyNames": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1
},
"intentTopicsCondition": {
"enum": [
"or",
"and"
],
"type": "string"
},
"technologiesCondition": {
"enum": [
"or",
"and"
],
"type": "string"
},
"previousCompanyDomains": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1
}
},
"additionalProperties": false
}
},
"additionalProperties": false
}
},
"description": "Lusha contact prospecting filters: contacts.include / contacts.exclude on the person (job titles, seniorityIds, departments, countries, locations) and companies.include / companies.exclude on the employer (domains, names, sizes, industries). Use values from the contact and company filter-values Endpoints; seniority and industry ids are integers.",
"additionalProperties": false
},
"pagination": {
"type": "object",
"required": [
"page",
"size"
],
"properties": {
"page": {
"type": "integer",
"maximum": 1000,
"minimum": 0
},
"size": {
"type": "integer",
"maximum": 25,
"minimum": 10
}
},
"additionalProperties": false
}
},
"additionalProperties": false
}{
"filters": {
"companies": {
"include": {
"domains": [
"example.com"
]
}
}
},
"pagination": {
"page": 0,
"size": 10
}
}Este endpoint não publica um esquema de saída. Você recebe o corpo da resposta do próprio provedor de dados, sem alterações — não garantimos um formato que não podemos assegurar.
Como funciona a cobrança
| Dados retornados | Cobrado somente quando os dados são retornados. | $0.137225 |
|---|---|---|
| Erro do provedor de dados | O provedor de dados não conseguiu responder. | $0.00 |
| Tempo limite excedido | O Run excedeu seu limite de tempo. | $0.00 |
| Falha interna | Um erro interno impediu a conclusão. | $0.00 |